Bug 293721 - devilspie quit with an error message after startup
devilspie quit with an error message after startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devilspie (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 15:08 EDT by Jochen Schmitt
Modified: 2008-06-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 477877 None None None Never

  None (edit)
Description Jochen Schmitt 2007-09-17 15:08:30 EDT
Description of problem:

When I start deveispie after a fresh install, I will get the following error
message:

No s-expressions loaded, quiting


How reproducible:

1.) Make a fresh install of the package
2.) Delete ¨/.devilspie if existing
3.) Call devilspie without any argnuments from a console
Comment 1 Christoph Wickert 2007-09-17 16:05:17 EDT
I wouldn't necessarily call this a bug. The message states that there is no
config and that's why devilspie quits. So where is the bug and if you think
there is one, what do you suggest to fix it?
Comment 2 Sebastian Vahl 2007-09-17 16:23:11 EDT
That's the normal failure if you not define some rules in ~/.devilspie or
/etc/devilspie. The only thing I could do against that is to create a file
/etc/devilspie/debug.ds with the content:
(debug)

But then devilspie will always start in debug mode. Maybe asking the author to
implement a better failure message would be the best.
Comment 3 Sebastian Vahl 2007-09-17 17:02:06 EDT
I've asked upstream for a better info message.
http://bugzilla.gnome.org/show_bug.cgi?id=477877
Comment 4 Bug Zapper 2008-05-14 10:23:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:25:21 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.